Bug 1301467 - Dead L3 agent should reflect HA router states
Dead L3 agent should reflect HA router states
Status: CLOSED UPSTREAM
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron (Show other bugs)
8.0 (Liberty)
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Assaf Muller
Toni Freger
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-25 02:06 EST by Alexander Stafeyev
Modified: 2017-09-11 02:07 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-07 18:03:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1461148 None None None 2016-01-25 02:06 EST

  None (edit)
Description Alexander Stafeyev 2016-01-25 02:06:28 EST
Bug tracker for -https://bugs.launchpad.net/neutron/+bug/1461148


l3 HA- when active is rebooted its state should be changed to "backup" and not stay active. 


Current- changes to backup only when it goes up again.
Comment 2 Assaf Muller 2016-05-31 20:49:56 EDT
All of the OSP 8 7.0.3+ builds should have the fix, I added an example build in the Fixed-In-Version field.
Comment 4 Toni Freger 2016-06-23 08:07:58 EDT
I've tested it in openstack-neutron-7.0.4-7.el7ost.noarch
I've followed step to reproduce, after the hosting active router booted the neutron l3-agent-list-hosting-router commands still shows 2 active agents:

| 31ebe946-7de7-4ea1-8e2b-895f97ac0c85 | rose11.qa.lab.tlv.redhat.com | True           | :-)   | active   |
| 070797e4-70a4-4137-ad76-3dcd60758315 | rose12.qa.lab.tlv.redhat.com | True           | :-)   | active
Comment 5 Assaf Muller 2016-06-23 11:01:01 EDT
(In reply to Toni Freger from comment #4)
> I've tested it in openstack-neutron-7.0.4-7.el7ost.noarch
> I've followed step to reproduce, after the hosting active router booted the
> neutron l3-agent-list-hosting-router commands still shows 2 active agents:
> 
> | 31ebe946-7de7-4ea1-8e2b-895f97ac0c85 | rose11.qa.lab.tlv.redhat.com | True
> | :-)   | active   |
> | 070797e4-70a4-4137-ad76-3dcd60758315 | rose12.qa.lab.tlv.redhat.com | True
> | :-)   | active

We use a default agent_down_time of 75 seconds. After which you should see 'xxx' on the agent and the ha_state should change to down.
Comment 10 Assaf Muller 2016-06-28 15:35:32 EDT
Assigned to John to look in to this when he comes in next week.
Comment 11 Assaf Muller 2017-01-13 14:13:31 EST
Status update?
Comment 12 John Schwarz 2017-01-15 04:36:21 EST
No update from me for this.
Comment 13 Assaf Muller 2017-09-07 18:03:20 EDT
I'm closing this bug, with a greater focus on OVN in a future OSP offering, allocating time and energy in low priority bugs that are specific to ML2/OVS doesn't make sense.
Comment 14 Ofer Blaut 2017-09-11 02:07:43 EDT
Fixed upstream - https://bugs.launchpad.net/neutron/+bug/1461148

Note You need to log in before you can comment on or make changes to this bug.